> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetAdminUsers POST https://api.voximplant.com/platform_api/GetAdminUsers Gets the admin users of the specified account. Note that both account types - parent and child - can have its own admins. **Example request:** Get two first admin users. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/admin-users/get-admin-users ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `required_admin_user_id` (integer, optional) — The admin user ID to filter - `required_admin_user_name` (string, optional) — The admin user name part to filter - `admin_user_display_name` (string, optional) — The admin user display name part to filter - `admin_user_active` (boolean, optional) — Whether the admin user is active to filter - `with_roles` (boolean, optional, default: false) — Whether to get the attached admin roles - `with_access_entries` (boolean, optional, default: false) — Whether to get the admin user permissions - `count` (integer, optional, default: 20) — The max returning record count - `offset` (integer, optional, default: 0) — The first **N** records are skipped in the output ## Response ### 200 Successful response - `result` (list of AdminUserType, optional) - `total_count` (integer, optional) — The total found admin user count - `count` (integer, optional) — The returned admin user count ## Types ### AdminUserType The [GetAdminUsers] function result. - `admin_user_id` (integer, optional) — The admin user ID - `admin_user_name` (string, optional) — The admin user name - `admin_user_display_name` (string, optional) — The admin user display name - `admin_user_active` (boolean, optional) — Whether login is allowed - `modified` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The admin user editing UTC date in 24-h format: YYYY-MM-DD HH:mm:ss - `access_entries` (list of string, optional) — The allowed access entries (the API function names) - `admin_roles` (list of AdminRoleType, optional) — The attached admin roles ### AdminRoleType The [GetAdminRoles] function result. - `admin_role_id` (integer, optional) — The admin role ID - `admin_role_name` (string, optional) — The admin role name - `admin_role_active` (boolean, optional) — Whether to ignore the allowed and denied entries - `system_role` (boolean, optional) — Whether it is a system role - `modified` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The admin role editing UTC date in 24-h format: YYYY-MM-DD HH:mm:ss - `allowed_entries` (list of string, optional) — The allowed access entries (the API function names) - `denied_entries` (list of string, optional) — The denied access entries (the API function names) - `admin_users` (list of AdminRoleTypeAdminUsersItems, optional) ### AdminRoleTypeAdminUsersItems - `admin_user_id` (integer, optional) ## Examples **Response** ```json { "result": [ { "admin_user_id": 1, "admin_user_name": "adm1", "admin_user_display_name": "adm1", "admin_user_active": true, "modified": "2014-12-05 10:27:30", "access_entries": [ "GetAccountInfo", "GetCallHistory" ] }, { "admin_user_id": 2, "admin_user_name": "adm2", "admin_user_display_name": "adm2", "admin_user_active": true, "modified": "2014-12-05 10:27:30", "access_entries": [ "GetAccountInfo", "SetAccountInfo" ] } ], "total_count": 2, "count": 2 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/GetAdminUsers" headers = {"Authorization": "Bearer "} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/GetAdminUsers'; const options = {method: 'POST', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetAdminUsers" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetAdminUsers") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetAdminUsers") .header("Authorization", "Bearer ") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/GetAdminUsers', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetAdminUsers"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetAdminUsers")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```